import request from '@/utils/httpRequest'

export default class RankService {
  list (params) {
    return request({
      url: '/rank/rank/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/rank/rank/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  getRankByPosition (id) {
    return request({
      url: '/rank/rank/getRankByPosition',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/rank/rank/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/rank/rank/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  updateSort (params) {
    return request({
      url: `/rank/rank/updateSort`,
      method: 'post',
      data: params
    })
  }
  queryAllSequence (params) {
    return request({
      url: '/rank/rank/queryAllSequence',
      method: 'get',
      params: params
    })
  }
}
